declare const RefineGenerator: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
}>, {
    innerRender: () => import("vue/jsx-runtime").JSX.Element;
    innerSetVisible: import("../../../hooks/use-state").SetStateAction<boolean>;
}, {}, {}, {
    setVisible(visible: boolean): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
}>> & Readonly<{}>, {
    width: string | number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default RefineGenerator;
